org.bdgenomics.adam.rdd.read

# BAMInFormatter

#### case class BAMInFormatter extends AnySAMInFormatter[BAMInFormatter] with Product with Serializable

Linear Supertypes
Product, Equals, AnySAMInFormatter[BAMInFormatter], InFormatter[AlignmentRecord, AlignmentRecordRDD, BAMInFormatter], Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BAMInFormatter
2. Product
3. Equals
4. AnySAMInFormatter
5. InFormatter
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val companion: BAMInFormatter.type

   Attributes
     protected
   Definition Classes
     BAMInFormatter → InFormatter

9. #### val converter: AlignmentRecordConverter

   A converter from AlignmentRecord to SAMRecord.

   A converter from AlignmentRecord to SAMRecord.

   Definition Classes
     BAMInFormatter → AnySAMInFormatter

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### val header: SAMFileHeaderWritable

    A serializable form of the SAM File Header.

    A serializable form of the SAM File Header.

    Definition Classes
      BAMInFormatter → AnySAMInFormatter

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def makeWriter(os: OutputStream): SAMFileWriter

    Attributes
      protected
    Definition Classes
      BAMInFormatter → AnySAMInFormatter

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### val recordGroups: RecordGroupDictionary

    A dictionary describing the read groups these reads are from.

    A dictionary describing the read groups these reads are from.

    Definition Classes
      BAMInFormatter → AnySAMInFormatter

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### def write(os: OutputStream, iter: Iterator[AlignmentRecord]): Unit

    Writes alignment records to an output stream in SAM format.

    Writes alignment records to an output stream in SAM format.

    os

      An OutputStream connected to a process we are piping to.

    iter

      An iterator of records to write.

    Definition Classes
      AnySAMInFormatter → InFormatter

### Inherited from Product

### Inherited from Equals

### Inherited from AnySAMInFormatter[BAMInFormatter]

### Inherited from InFormatter[AlignmentRecord, AlignmentRecordRDD, BAMInFormatter]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped